Workspace Setting
Setting object
- namestringPublic Preview
Name of the setting.
- boolean_valobjectPublic Preview
Setting value for boolean type setting. This is the setting value set by consumers, check effective_boolean_val for final setting value.
Show child attributesHide child attributes
- valuebooleanPublic Preview
- string_valobjectPublic Preview
Setting value for string type setting. This is the setting value set by consumers, check effective_string_val for final setting value.
Show child attributesHide child attributes
- valuestringPublic Preview
Represents a generic string value.
- integer_valobjectPublic Preview
Setting value for integer type setting. This is the setting value set by consumers, check effective_integer_val for final setting value.
Show child attributesHide child attributes
- valueint32Public Preview
- automatic_cluster_update_workspaceobjectPublic Preview
Setting value for automatic_cluster_update_workspace setting. This is the setting value set by consumers, check effective_automatic_cluster_update_workspace for final setting value.
Show child attributesHide child attributes
- enabledbooleanPublic Preview
- can_togglebooleanPublic Preview
- maintenance_windowobjectPublic Preview
Show child attributesHide child attributes
- week_day_based_scheduleobjectPublic Preview
Show child attributesHide child attributes
- frequencystringPublic Preview
- day_of_weekstringPublic Preview
- window_start_timeobjectPublic Preview
- enablement_detailsobjectPublic Preview
Show child attributesHide child attributes
- forced_for_compliance_modebooleanPublic Preview
The feature is force enabled if compliance mode is active
- restart_even_if_no_updates_availablebooleanPublic Preview
- aibi_dashboard_embedding_approved_domainsobjectPublic Preview
Setting value for aibi_dashboard_embedding_approved_domains setting. This is the setting value set by consumers, check effective_aibi_dashboard_embedding_approved_domains for final setting value.
Show child attributesHide child attributes
- approved_domainsarray of stringPublic Preview
- aibi_dashboard_embedding_access_policyobjectPublic Preview
Setting value for aibi_dashboard_embedding_access_policy setting. This is the setting value set by consumers, check effective_aibi_dashboard_embedding_access_policy for final setting value.
Show child attributesHide child attributes
- access_policy_typestringPublic Preview
- restrict_workspace_adminsobjectPublic Preview
Setting value for restrict_workspace_admins setting. This is the setting value set by consumers, check effective_restrict_workspace_admins for final setting value.
Show child attributesHide child attributes
- statusstringPublic Preview
- disable_gov_tag_creationbooleanPublic Preview
When true, workspace admins cannot create governance tags. ALLOW_ALL status does not override this; they are independent.
- personal_computeobjectPublic Preview
Setting value for personal_compute setting. This is the setting value set by consumers, check effective_personal_compute for final setting value.
Show child attributesHide child attributes
- valuestringPublic Preview
- allowed_apps_user_api_scopesobjectBeta
Setting value for allowed_apps_user_api_scopes setting. This is the setting value set by consumers, check effective_allowed_apps_user_api_scopes for final setting value.
Show child attributesHide child attributes
- allowed_scopesarray of stringBeta
- operational_email_custom_recipientobjectPublic Preview
Setting value for operational_email_custom_recipient setting. This is the setting value set by consumers, check effective_operational_email_custom_recipient for final setting value.
Show child attributesHide child attributes
- emailstringPublic Preview
- effective_boolean_valobjectPublic Preview
Effective setting value for boolean type setting. This is the final effective value of setting. To set a value use boolean_val.
Show child attributesHide child attributes
- valuebooleanPublic Preview
- effective_string_valobjectPublic Preview
Effective setting value for string type setting. This is the final effective value of setting. To set a value use string_val.
Show child attributesHide child attributes
- valuestringPublic Preview
Represents a generic string value.
- effective_integer_valobjectPublic Preview
Effective setting value for integer type setting. This is the final effective value of setting. To set a value use integer_val.
Show child attributesHide child attributes
- valueint32Public Preview
- effective_automatic_cluster_update_workspaceobjectPublic Preview
Effective setting value for automatic_cluster_update_workspace setting. This is the final effective value of setting. To set a value use automatic_cluster_update_workspace.
Show child attributesHide child attributes
- enabledbooleanPublic Preview
- can_togglebooleanPublic Preview
- maintenance_windowobjectPublic Preview
Show child attributesHide child attributes
- week_day_based_scheduleobjectPublic Preview
Show child attributesHide child attributes
- frequencystringPublic Preview
- day_of_weekstringPublic Preview
- window_start_timeobjectPublic Preview
- enablement_detailsobjectPublic Preview
Show child attributesHide child attributes
- forced_for_compliance_modebooleanPublic Preview
The feature is force enabled if compliance mode is active
- restart_even_if_no_updates_availablebooleanPublic Preview
- effective_aibi_dashboard_embedding_approved_domainsobjectPublic Preview
Effective setting value for aibi_dashboard_embedding_approved_domains setting. This is the final effective value of setting. To set a value use aibi_dashboard_embedding_approved_domains.
Show child attributesHide child attributes
- approved_domainsarray of stringPublic Preview
- effective_aibi_dashboard_embedding_access_policyobjectPublic Preview
Effective setting value for aibi_dashboard_embedding_access_policy setting. This is the final effective value of setting. To set a value use aibi_dashboard_embedding_access_policy.
Show child attributesHide child attributes
- access_policy_typestringPublic Preview
- effective_restrict_workspace_adminsobjectPublic Preview
Effective setting value for restrict_workspace_admins setting. This is the final effective value of setting. To set a value use restrict_workspace_admins.
Show child attributesHide child attributes
- statusstringPublic Preview
- disable_gov_tag_creationbooleanPublic Preview
When true, workspace admins cannot create governance tags. ALLOW_ALL status does not override this; they are independent.
- effective_personal_computeobjectPublic Preview
Effective setting value for personal_compute setting. This is the final effective value of setting. To set a value use personal_compute.
Show child attributesHide child attributes
- valuestringPublic Preview
- effective_allowed_apps_user_api_scopesobjectBeta
Effective setting value for allowed_apps_user_api_scopes setting. This is the final effective value of setting. To set a value use allowed_apps_user_api_scopes.
Show child attributesHide child attributes
- allowed_scopesarray of stringBeta
- effective_operational_email_custom_recipientobjectPublic Preview
Effective setting value for operational_email_custom_recipient setting. This is the final effective value of setting. To set a value use operational_email_custom_recipient.
Show child attributesHide child attributes
- emailstringPublic Preview
Get Public Preview
GET
Get a setting value at workspace level. See settingsv2/listworkspacesettingsmetadata for list of setting available via public APIs.
API scopes: settings
Parameters
- namestringpath
Name of the setting
Response
Returns the Setting object.
Update Public Preview
PATCH
Patch a setting value at workspace level. See settingsv2/listworkspacesettingsmetadata for list of setting available via public APIs at workspace level.
To determine the correct field to include in a patch request, refer to the type field of the setting returned in the settingsv2/listworkspacesettingsmetadata response.
Note: Page refresh is required for changes to take effect in UI.
API scopes: settings
Parameters
- namestringpath
Name of the setting
Request body
- settingobject
Show child attributesHide child attributes
- namestring
Name of the setting.
- boolean_valobjectRequired
Setting value for boolean type setting. This is the setting value set by consumers, check effective_boolean_val for final setting value.
Show child attributesHide child attributes
- valueboolean
- string_valobjectRequired
Setting value for string type setting. This is the setting value set by consumers, check effective_string_val for final setting value.
Show child attributesHide child attributes
- valuestring
Represents a generic string value.
- integer_valobjectRequired
Setting value for integer type setting. This is the setting value set by consumers, check effective_integer_val for final setting value.
Show child attributesHide child attributes
- valueint32
- automatic_cluster_update_workspaceobjectRequired
Setting value for automatic_cluster_update_workspace setting. This is the setting value set by consumers, check effective_automatic_cluster_update_workspace for final setting value.
Show child attributesHide child attributes
- enabledboolean
- can_toggleboolean
- maintenance_windowobject
Show child attributesHide child attributes
- week_day_based_scheduleobject
- enablement_detailsobject
Show child attributesHide child attributes
- forced_for_compliance_modeboolean
The feature is force enabled if compliance mode is active
- restart_even_if_no_updates_availableboolean
- aibi_dashboard_embedding_approved_domainsobjectRequired
Setting value for aibi_dashboard_embedding_approved_domains setting. This is the setting value set by consumers, check effective_aibi_dashboard_embedding_approved_domains for final setting value.
Show child attributesHide child attributes
- approved_domainsarray of string
- aibi_dashboard_embedding_access_policyobjectRequired
Setting value for aibi_dashboard_embedding_access_policy setting. This is the setting value set by consumers, check effective_aibi_dashboard_embedding_access_policy for final setting value.
Show child attributesHide child attributes
- access_policy_typestring
- restrict_workspace_adminsobjectRequired
Setting value for restrict_workspace_admins setting. This is the setting value set by consumers, check effective_restrict_workspace_admins for final setting value.
Show child attributesHide child attributes
- statusstring
- disable_gov_tag_creationboolean
When true, workspace admins cannot create governance tags. ALLOW_ALL status does not override this; they are independent.
- personal_computeobjectRequired
Setting value for personal_compute setting. This is the setting value set by consumers, check effective_personal_compute for final setting value.
Show child attributesHide child attributes
- valuestring
- allowed_apps_user_api_scopesobjectRequiredBeta
Setting value for allowed_apps_user_api_scopes setting. This is the setting value set by consumers, check effective_allowed_apps_user_api_scopes for final setting value.
Show child attributesHide child attributes
- allowed_scopesarray of stringBeta
- operational_email_custom_recipientobjectRequired
Setting value for operational_email_custom_recipient setting. This is the setting value set by consumers, check effective_operational_email_custom_recipient for final setting value.
Show child attributesHide child attributes
- emailstring
- effective_boolean_valobjectRequired
Effective setting value for boolean type setting. This is the final effective value of setting. To set a value use boolean_val.
Show child attributesHide child attributes
- valueboolean
- effective_string_valobjectRequired
Effective setting value for string type setting. This is the final effective value of setting. To set a value use string_val.
Show child attributesHide child attributes
- valuestring
Represents a generic string value.
- effective_integer_valobjectRequired
Effective setting value for integer type setting. This is the final effective value of setting. To set a value use integer_val.
Show child attributesHide child attributes
- valueint32
- effective_automatic_cluster_update_workspaceobjectRequired
Effective setting value for automatic_cluster_update_workspace setting. This is the final effective value of setting. To set a value use automatic_cluster_update_workspace.
Show child attributesHide child attributes
- enabledboolean
- can_toggleboolean
- maintenance_windowobject
Show child attributesHide child attributes
- week_day_based_scheduleobject
- enablement_detailsobject
Show child attributesHide child attributes
- forced_for_compliance_modeboolean
The feature is force enabled if compliance mode is active
- restart_even_if_no_updates_availableboolean
- effective_aibi_dashboard_embedding_approved_domainsobjectRequired
Effective setting value for aibi_dashboard_embedding_approved_domains setting. This is the final effective value of setting. To set a value use aibi_dashboard_embedding_approved_domains.
Show child attributesHide child attributes
- approved_domainsarray of string
- effective_aibi_dashboard_embedding_access_policyobjectRequired
Effective setting value for aibi_dashboard_embedding_access_policy setting. This is the final effective value of setting. To set a value use aibi_dashboard_embedding_access_policy.
Show child attributesHide child attributes
- access_policy_typestring
- effective_restrict_workspace_adminsobjectRequired
Effective setting value for restrict_workspace_admins setting. This is the final effective value of setting. To set a value use restrict_workspace_admins.
Show child attributesHide child attributes
- statusstring
- disable_gov_tag_creationboolean
When true, workspace admins cannot create governance tags. ALLOW_ALL status does not override this; they are independent.
- effective_personal_computeobjectRequired
Effective setting value for personal_compute setting. This is the final effective value of setting. To set a value use personal_compute.
Show child attributesHide child attributes
- valuestring
- effective_allowed_apps_user_api_scopesobjectRequiredBeta
Effective setting value for allowed_apps_user_api_scopes setting. This is the final effective value of setting. To set a value use allowed_apps_user_api_scopes.
Show child attributesHide child attributes
- allowed_scopesarray of stringBeta
- effective_operational_email_custom_recipientobjectRequired
Effective setting value for operational_email_custom_recipient setting. This is the final effective value of setting. To set a value use operational_email_custom_recipient.
Show child attributesHide child attributes
- emailstring
Response
Returns the Setting object.